Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.thrift
Enum Mutation._Fields

    java.lang.Object
      java.lang.Enum<Mutation._Fields>
          org.apache.cassandra.thrift.Mutation._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Mutation._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  Mutation

    public static enum Mutation._Fields

extends java.lang.Enum<Mutation._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`COLUMN_OR_SUPERCOLUMN`
`DELETION`

Method Summary
`static Mutation._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static Mutation._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static Mutation._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` | `getFieldName()`
`short` | `getThriftFieldId()`
`static Mutation._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Mutation._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLUMN_OR_SUPERCOLUMN

    public static final Mutation._Fields COLUMN_OR_SUPERCOLUMN

### DELETION

    public static final Mutation._Fields DELETION

Method Detail

### values

    public static Mutation._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Mutation._Fields c : Mutation._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Mutation._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static Mutation._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static Mutation._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static Mutation._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation